{ pkgs, nixosConfig, lib, ... }:
{
  programs.vscode = lib.mkIf nixosConfig.my.desktop.enable {
    enable = true;
    profiles.default.extensions = with pkgs.vscode-extensions; [
      jnoortheen.nix-ide
      catppuccin.catppuccin-vsc-icons
      catppuccin.catppuccin-vsc
    ];
  };
}
